
# fix seed to have same random numbers
set.seed(180920023)

# create random matrix
A <- matrix(rnorm(18), 3, 6)
A

# compute mean of first column
mean(A[,1])

# compute mean of first row
mean(A[1,])

# compute ALL column means
mean(A[,1])
mean(A[,2])
mean(A[,3])
mean(A[,4])
mean(A[,5])
mean(A[,6])

# save time using LOOPS
for(i in 1:6) print(mean(A[,i]))

# if you need more lines use {}
for(i in 1:6){
  print(mean(A[,i]))
}

# save additional time (if possible) using APPLY
apply(A, 2, mean)

# create vectors
a <- c(2, 3, 4)
a = c(2, 3, 4)
b <- c(2, 3, 5)
d <- c(2, 3, 4)

# compare vectors
3 == 4
a == b

3 != 4
3 != 3
a != b

3 > 4
3 < 4

a > b

3 >= 4
3 <= 4

a >= b

# fix seed to have same random numbers
set.seed(1)

# generate a random number from the standard normal distribution
x <- rnorm(1)
x

# CONDITIONAL EXECUTION: if the number is positive, print a message
if(x > 0){
  print("x is a positive number")
} 

# CONDITIONAL EXECUTION: if + else
if(x > 0){
  print("x is a positive number")
 } else{
    print("x is a negative number")
}

# building custom functions
e <- rnorm(10)
var(e)

myvar <- function(x){
  y <- sum((x - mean(x))^2)/(length(x)-1)
  return(y)
}

myvar(x = e)
var(e)

#reading/writing
M1 <- matrix(rnorm(20), 4, 5)
M1
?write.table

write.table(x = M1, file = "myfile.txt")
